#ifndef HAVE_SEEN_BASE64
#define HAVE_SEEN_BASE64

#define ENCODING_NONE                 0
#define ENCODING_BASE64               1

char *base64_encode(const char *data, int input_length, int *output_length);
char *base64_decode(const char *data, int input_length, int *output_length);
void base64_build_decoding_table();
void base64_cleanup();

#endif //!HAVE_SEEN_BASE64
