#include <libxml/xmlreader.h>
#include "tags.h"

void initialize_EGG_NOM_2_data();
void initialize_SST_PCV_2_data();
void initialize_SST_PKI_2_data();
void initialize_SST_PRD_2_data();
void initialize_SST_PRM_2_data();
void initialize_HDR_SST_PRM_2_data();

void PutToStruct_EGG_NOM_2(struct t_tag_flags tag, const xmlChar *value);
void PutToStruct_SST_PKI_2(struct t_tag_flags tag, const xmlChar *value);
void PutToStruct_SST_PKI_2_Position_Factor(double f);
void PutToStruct_SST_PRD_2(struct t_tag_flags tag, const xmlChar *value);
void PutToStruct_SST_PRD_2_Position_Factor(double f);
void PutToStruct_SST_PRD_2_Velocity_Factor(double f);
void PutToStruct_SST_PRM_2(struct t_tag_flags tag, const xmlChar *value);
void PutToStruct_SST_PRP_2(struct t_tag_flags tag, const xmlChar *value);
void HDR_PutToStruct_SST_PRM_2(unsigned int tag, const xmlChar *value);
void PutToStruct_SST_PRP_2_Encoding(int encoding);

int GetFromStruct_SST_PRP_2_Encoding();

void OutputToFileASCII_EGG_NOM_2(FILE* fid);
void OutputToFileASCII_SST_PCV_2(FILE* fid);
void OutputToFileASCII_SST_PKI_2(FILE* fid);
void OutputToFileASCII_SST_PRD_2(FILE* fid);
void OutputToFileASCII_SST_PRM_2(FILE* fid);


